export class NotificationQueue {
    constructor() {
        this.queue = [];
    }
    enqueue(notification) {
        this.queue.push(notification);
        this.onNotificationsEnqueued?.();
    }
    dequeueAll() {
        const items = [...this.queue];
        this.queue = [];
        return items;
    }
    hasPending() {
        return this.queue.length > 0;
    }
}
